Leads
GET https://biolink.page/api/data/
curl --request GET \
--url 'https://biolink.page/api/data/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.page/api/data/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| type | Optional String | The field to search in. Allowed values: email_collector, phone_collector, contact_collector, appointment_calendar. |
| datetime_field | Optional String | Allowed values: datetime |
| datetime_start | Optional String | Only results from this date and time on. Y-m-d H:i:s format. |
| datetime_end | Optional String | Only results up to this date and time. Y-m-d H:i:s format. |
| order_by | Optional String | The field to sort by. Allowed values: datum_id, datetime. |
| order_type | Optional String | Sort direction. ASC for ascending, DESC for descending. |
| page | Optional Integer | The page of results you want. Defaults to 1. |
| results_per_page | Optional Integer | How many results per page. Allowed values: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "Example",
"data": {},
"datetime": "2026-09-25 23:56:10"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://biolink.page/api/data?page=1",
"last": "https://biolink.page/api/data?page=1",
"next": null,
"prev": null,
"self": "https://biolink.page/api/data?page=1"
}
}
GET https://biolink.page/api/data/{datum_id}
curl --request GET \
--url 'https://biolink.page/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.page/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "Example",
"data": {},
"datetime": "2026-09-25 23:56:10"
}
}
DELETE https://biolink.page/api/data/{datum_id}
curl --request DELETE \
--url 'https://biolink.page/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.page/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \